=== debian/control ===
Source: glimpse
Section: text
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: flex, libfl-dev, debhelper (>= 12)
Standards-Version: 4.3.0
Vcs-Git: https://github.com/az143/glimpse.git -b master
Vcs-Browser: https://github.com/az143/glimpse


Package: glimpse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: agrep
Replaces: agrep
Conflicts: agrep
Description: search quickly through entire file systems
 Glimpse, which stands for GLobal IMPlicit SEarch, is a very popular
 UNIX indexing and query system that allows you to search through a
 large set of files very quickly. Glimpse supports most of agrep's
 options (agrep is our powerful version of grep) including approximate
 matching (e.g., finding misspelled words), Boolean queries, and even
 some limited forms of regular expressions.
